import { Prisma, Tool } from '../../generated/client/index.js';
export declare function createTool(data: Prisma.ToolCreateInput): Promise<Tool>;
export declare function getTool(id: string): Promise<Tool | null>;
export declare function listTools(): Promise<Tool[]>;
export declare function updateTool(id: string, data: Prisma.ToolUpdateInput): Promise<Tool>;
export declare function deleteTool(id: string): Promise<Tool>;
